• We did not send an email asking for donations - please read this post.

Update issue

Gifted_Idiot

New Member
Joined
Sep 27, 2022
Messages
1
Reaction score
0
Credits
48
Hello, I'm getting update issues recently. Here is the terminal dump message. Anybody seeing this and know what the issue is? I'm running Mint 21 with Cinnamon desktop.....

(Reading database ... 362187 files and directories currently installed.)
Preparing to unpack .../0-firefox_105.0.1+linuxmint1+vanessa_amd64.deb ...
Unpacking firefox (105.0.1+linuxmint1+vanessa) over (105.0+linuxmint1+vanessa) ...
Preparing to unpack .../1-firefox-locale-en_105.0.1+linuxmint1+vanessa_amd64.deb ...
Unpacking firefox-locale-en (105.0.1+linuxmint1+vanessa) over (105.0+linuxmint1+vanessa) ...
Preparing to unpack .../2-gir1.2-webkit2-4.0_2.36.8-0ubuntu0.22.04.1_amd64.deb ...
Unpacking gir1.2-webkit2-4.0:amd64 (2.36.8-0ubuntu0.22.04.1) over (2.36.7-0ubuntu0.22.04.1) ...
Preparing to unpack .../3-gir1.2-javascriptcoregtk-4.0_2.36.8-0ubuntu0.22.04.1_amd64.deb ...
Unpacking gir1.2-javascriptcoregtk-4.0:amd64 (2.36.8-0ubuntu0.22.04.1) over (2.36.7-0ubuntu0.22.04.1) ...
Preparing to unpack .../4-libwebkit2gtk-4.0-37_2.36.8-0ubuntu0.22.04.1_amd64.deb ...
Unpacking libwebkit2gtk-4.0-37:amd64 (2.36.8-0ubuntu0.22.04.1) over (2.36.7-0ubuntu0.22.04.1) ...
Preparing to unpack .../5-libjavascriptcoregtk-4.0-18_2.36.8-0ubuntu0.22.04.1_amd64.deb ...
Unpacking libjavascriptcoregtk-4.0-18:amd64 (2.36.8-0ubuntu0.22.04.1) over (2.36.7-0ubuntu0.22.04.1) ...
Setting up firefox (105.0.1+linuxmint1+vanessa) ...
Setting up linux-image-5.15.0-48-generic (5.15.0-48.54) ...
Setting up libjavascriptcoregtk-4.0-18:amd64 (2.36.8-0ubuntu0.22.04.1) ...
Setting up gir1.2-javascriptcoregtk-4.0:amd64 (2.36.8-0ubuntu0.22.04.1) ...
Setting up firefox-locale-en (105.0.1+linuxmint1+vanessa) ...
Setting up libwebkit2gtk-4.0-37:amd64 (2.36.8-0ubuntu0.22.04.1) ...
Setting up gir1.2-webkit2-4.0:amd64 (2.36.8-0ubuntu0.22.04.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.36.0-1ubuntu3) ...
Processing triggers for libc-bin (2.35-0ubuntu3.1) ...
Processing triggers for mintsystem (8.5.4) ...
Processing triggers for mailcap (3.70+nmu1ubuntu1) ...
Processing triggers for desktop-file-utils (0.26+mint1+vanessa) ...
Processing triggers for linux-image-5.15.0-48-generic (5.15.0-48.54) ...
/etc/kernel/postinst.d/dkms:
* dkms: running auto installation service for kernel 5.15.0-48-generic
...done.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.15.0-48-generic
/etc/kernel/postinst.d/zz-update-grub:
Sourcing file `/etc/default/grub'
Sourcing file `/etc/default/grub.d/50_linuxmint.cfg'
Sourcing file `/etc/default/grub.d/init-select.cfg'
Generating grub configuration file ...
/etc/grub.d/bin/grubcfg_proxy: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 127
dpkg: error processing package linux-image-5.15.0-48-generic (--configure):
installed linux-image-5.15.0-48-generic package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
linux-image-5.15.0-48-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Setting up linux-image-5.15.0-48-generic (5.15.0-48.54) ...
Processing triggers for linux-image-5.15.0-48-generic (5.15.0-48.54) ...
/etc/kernel/postinst.d/dkms:
* dkms: running auto installation service for kernel 5.15.0-48-generic
...done.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.15.0-48-generic
/etc/kernel/postinst.d/zz-update-grub:
Sourcing file `/etc/default/grub'
Sourcing file `/etc/default/grub.d/50_linuxmint.cfg'
Sourcing file `/etc/default/grub.d/init-select.cfg'
Generating grub configuration file ...
/etc/grub.d/bin/grubcfg_proxy: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
cat: write error: Broken pipe
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 127
dpkg: error processing package linux-image-5.15.0-48-generic (--configure):
installed linux-image-5.15.0-48-generic package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
linux-image-5.15.0-48-generic
 


Condobloke

Well-Known Member
Joined
Apr 30, 2017
Messages
5,179
Reaction score
4,336
Credits
30,592
When this downloaded and installed etc ect....did it ask for a reboot?

Asking for a reboot after a kernel update is the usual thing.....but on my system LM21 (Cinnamon) it did not ask for the usual reboot
I take daily Timeshift snapshots to safeguard against this sort of "unusual happening"
So I have a snapshot taken the day before this kernel update happened.

I rebooted deliberately....because the usual practise is for the NEW kernel to take the place of the older kernel////which was 5.15.0-47
In this case the 5.15.0-47 stayed in place....it is still being used now
(full disclosure....I actually moved my system back to kernel 5.15.0-46 because I get faster response times)


In talking about this unusual kernel update, I wrote to a colleague the following


""Just received an update for LM21....package.....linux-libc-dev....old version 5.15.0-47.51....new version 5.15.0-48.54

It required no reboot

So, I rebooted. It does not change the kernel in use

i ran
sudo dpkg --configure -a
looking for borked packages
zero.

So...qwant found this answer:
askubuntu.com

What is 'linux-libc-dev'? "Linux kernel headers for development" for another kernel series in software updater

Some updates has recently become available. Below is the screen-shot: As you guys can see, under the Security Updates, one of the updates of Ubuntu base is Linux kernel headers for development... ...
askubuntu.com
askubuntu.com

------------------------------------------------------------------------------

So, the system is working as intended. I think this is just an update for the headers, only.

I have adhered to the advice above with no detrimental outcome.
 
Last edited:

bob466

Well-Known Member
Joined
Oct 22, 2020
Messages
655
Reaction score
465
Credits
4,801
Linux Mint 21 is new and has problems but will be fixed...I'm waiting for 21.1.
m0114.gif
 

Condobloke

Well-Known Member
Joined
Apr 30, 2017
Messages
5,179
Reaction score
4,336
Credits
30,592
Currently, with LM21, I am experiencing no problems whatsoever......zilch

Runs absolutely faultlessly.
 
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Linux.org Hosting Donations
Consider making a donation

Members online


Top